"$schema" = "https://raw.githubusercontent.com/JanDeDobbeleer/oh-my-posh/main/themes/schema.json"
pwd = "osc7"
version = 3

[palette]
gb_bright_path = "#9ccdf8"
gb_bright_git = "#f6c177"
gb_dark0_hard = "#3e7fb0"
gb_faded_green = "#79740e"
gb_faded_red = "#ea9a97"
gb_text = "#c4a7e7"

[var]
user = ""
ssh = "🌐"

# LEFT SIDE PROMPT
[[blocks]]
type = "prompt"
alignment = "left"

[[blocks.segments]]
template = '{{ .HostName }} '
foreground = 'p:gb_text'
background = 'transparent'
type = 'text'
style = 'plain'

[[blocks.segments]]
template = '{{ .UserName }} '
foreground = 'p:gb_text'
background = 'transparent'
type = 'text'
style = 'plain'

# [blocks.segments.properties]
# cache_duration = "none"

[[blocks.segments]]
template = "{{ .Path }} "
foreground = "p:gb_bright_path"
background = "transparent"
type = "path"
style = "plain"

[blocks.segments.properties]
style = "full"
enable_hyperlink = true

[[blocks.segments]]
template = ' {{ .HEAD }}{{ if or (.Working.Changed) (.Staging.Changed) }}*{{ end }} <cyan>{{ if gt .Behind 0 }}⇣{{ end }}{{ if gt .Ahead 0 }}⇡{{ end }}</>'
foreground = "p:gb_bright_git"
background = "transparent"
type = "git"
style = "plain"

[blocks.segments.properties]
fetch_status = true

[blocks.segments.properties.status_formats]
Added = "+%d"
Deleted = "-%d"
Modified = "~%d"
Untracked = "?%d"

# RIGHT SIDE PROMPT
[[blocks]]
type = "rprompt"
alignment = "right"

[[blocks.segments]]
template = "  {{ .Full }}"
foreground = "p:gb_faded_green"
background = "transparent"
type = "node"
style = "plain"

[blocks.segments.properties]
display_mode = "files"

[[blocks.segments]]
template = "  {{ if .Venv }}({{ .Venv }}) {{ end }}{{ .Full }}"
foreground = "p:gb_faded_green"
background = "transparent"
type = "python"
style = "plain"

[blocks.segments.properties]
display_mode = "always"
fetch_virtual_env = true

# NEWLINE FOR INPUT
[[blocks]]
type = "prompt"
alignment = "left"
newline = true

[[blocks.segments]]
template = "❯ "
foreground = "p:gb_bright_aqua"
background = "transparent"
type = "text"
style = "plain"
